module Text.ChangeMonger.CVS (cvsChanges, cvsChangesAll) where

import Text.ChangeMonger.Parse (run)

-- | Ask CVS for changes in general; we accept an options argument which
-- will be passed onto CVS, so you can customize by using any of the many
-- options to 'changes' which CVS understands.
-- WARNING: This seems to be broken.
cvsChanges :: String -> IO String
cvsChanges "" = run "cvs" ["log"]
cvsChanges a = run "cvs" ["log", a]

-- | Nothing fancy: just get the entire repository history.
cvsChangesAll :: IO String
cvsChangesAll = cvsChanges ""

-- TODO: like with Subversion, I'm going to punt on this one.
{- cvsChangesSince :: IO String
cvsChangesSince = cvsChanges "" -}