module Text.ChangeMonger.Parse (run) where

import System.Process (runInteractiveProcess)
import System.IO (hGetContents)

-- | Call out to the shell, and collect the result as a String.
run :: String    -- ^ The command
    -> [String]  -- ^ Options to the command
    -> IO String -- ^ Result
run "" _ = return ""
run prog opts = do (_,x,_,_) <- runInteractiveProcess prog opts Nothing Nothing
                   hGetContents x